def Read(FileName):
	hFile=open(FileName,"r")
	ConfigRaw=hFile.read()
	hFile.close()
	ConfigLines=ConfigRaw.splitlines(False)
	Config=dict()
	SectionName=""
	for ConfigLine in ConfigLines:
		if ";" in ConfigLine: ConfigLine=ConfigLine[0:ConfigLine.find(";")]
		if ConfigLine[0:1]=="[":
			SectionName=ConfigLine[1:len(ConfigLine)-1]
			Section=dict()
			Config[SectionName]=Section
		elif len(SectionName)>0:
			ConfigLine=ConfigLine.split("=")
			if len(ConfigLine)==2:
				Config[SectionName][ConfigLine[0]]=ConfigLine[1]
	return Config

def Write(FileName, Config):
	try:
		hFile=open(FileName,"w")
		for Section in Config.keys():
			hFile.write("["+Section+"]\n")
			for Key in Config[Section].keys():
				hFile.write(str(Key)+"="+str(Config[Section][Key])+"\n")
		hFile.close()
		return True
	except:
		return False
